<div id="basic-usage" class="getting-started-content">

    <section class="section-add-new-player section-full">
        <div class="col-description">
            <h2><?php esc_html_e('Add New Player', 'radio-player'); ?></h2>
            <p>
                <?php printf(__('To play a radio station, you need to add a new player. You can add a new player from the %s Radio Player %s page.', 'radio-player'), '<a href="' . admin_url('admin.php?page=radio-player') . '">', '</a>'); ?>
            </p>
            <p>
                <?php esc_html_e('From the Stations tab, you need to add the stations that you want to play in the player.
                You have to insert the name, stream URL, and logo image for the station.
                You can add multiple stations in the same.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('Form the Player Skins tab, you can select the player skin from the available 10+ skins with different
                layouts and styles.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('From the Controls tab, you can show or hide the player controls like popup icon, playlist icon, volume
                icon, live/ offline player status, etc.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('From the appearance tab, you can customize the player appearance like player background color, player
                text color, player width, border radius, box shadow, etc.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('While you are editing the player, you can see the player preview in realtime in the preview section.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('Once you are done with the player settings, you can save the player and use it anywhere on your website.', 'radio-player'); ?>
            </p>
        </div>

        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/Kwa4Xcd_N_0?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

    <section class="section-display-player section-full">
        <div class="col-description">
            <h2><?php esc_html_e('Display Radio Player', 'radio-player'); ?></h2>
            <p>
                <?php esc_html_e('After adding a new player, you can display the player in your website in various ways.', 'radio-player'); ?>
            </p>

            <p>
                <?php _e('You can display the player anywhere using the <code>[radio_player id="player_id"]</code>
                shortcode.', 'radio-player'); ?>
            </p>
            <p>
                <?php _e('You have to use a valid player id in the shortcode id attribute to display the player.
                You will get the player id from the <code>Radio Player > All Players</code> page.', 'radio-player'); ?>
            </p>

            <p>
                <?php esc_html_e('You can also display the Radio Player in any page or post by using the Radio Player Gutenberg block and
                Elementor widget.', 'radio-player'); ?>
            </p>

            <p>
                <?php esc_html_e('For displaying the Radio Player using the Gutenberg block, you need to search and insert the Radio
                Player block in the page or post.
                In the Radio Player block, you have to select the player from the player list dropdown.', 'radio-player'); ?>
            </p>

            <p>
                <?php esc_html_e('For displaying the Radio Player using the Elementor widget, you need to search and insert the Radio
                Player widget in the page or post.
                In the Radio Player widget, you have to select the player from the player list dropdown.', 'radio-player'); ?>
            </p>

        </div>
        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/NTQmmAyIKeg?rel=0"
                    title="YouTube video player" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

    <section class="section-display-sticky-player section-full">
        <div class="col-description">
            <h2><?php esc_html_e('Display Sticky Player', 'radio-player'); ?></h2>
            <p>
                <?php esc_html_e('This plugin provides a sticky player feature with multiple styles (Fullwidth, Mini-Fullwidth and
                Floating) that will be displayed at the bottom or top of the website in
                the all pages.', 'radio-player'); ?>
            </p>
            <p>
                <?php _e('For displaying the sticky player, you need to select the Player that you want to display as
                sticky player from the <code>Radio Player > Settings > Sticky Player Settings</code>.', 'radio-player'); ?>
            </p>

            <p>
                <?php esc_html_e('You can also display the sticky player only on specific pages. From the Exclude Pages settings, you
                can select the pages where you don\'t want to display the sticky player.', 'radio-player'); ?>
            </p>

        </div>
        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/8-kY840d6fQ?rel=0"
                    frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

    <section class="section-play-http-streams section-full">
        <div class="col-description">
            <h2><?php esc_html_e('Play HTTP Streams', 'radio-player'); ?></h2>
            <p>
                <?php esc_html_e('Browsers no longer accepts mixed requests. It means you can\'t play an HTTP stream to an HTTPS
                website. In case you have a HTTPS website you’ll need to use an HTTPS radio link.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('This plugin provides a proxy system that allow you to play most of the HTTP streams in your HTTPS
                website.', 'radio-player'); ?>
            </p>
            <p>
                <?php _e('For playing HTTP streams, you need to enable the HTTP player from the <code>Radio Player > Settings > HTTP Player Settings</code>.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('After activating the HTTP player, try now to play the HTTP station in the player.', 'radio-player'); ?>
            </p>
            <p>
                <?php esc_html_e('If the HTTP stream not playing even after enabling the HTTP Player, Copy the Proxy Link in the Proxy URL
                setting field.', 'radio-player'); ?>
            </p>

            <p>
                <?php esc_html_e('Sometimes, the proxy system may not work for some HTTP streams like .m3u8 HTTP streams.', 'radio-player'); ?>
            </p>

            <p>
                <?php esc_html_e('In that case, You have to use the Popup player feature of the plugin to play the HTTP streams.
                The popup player will try to open the player in the HTTP mode. For that the HTTP to HTTPS redirection
                must be disabled in your website.', 'radio-player'); ?>

            </p>
            <p>
                <?php esc_html_e('HTTP to HTTPS redirection can be enabled in various ways such as using the .htaccess file, using any SSL
                WordPress
                plugin, if you are using Cloudflare or also from the cPanel server settings.
                You have to disable the HTTP to HTTPS redirection for all the options.', 'radio-player'); ?>
            </p>

        </div>
        <div class="col-image">
            <iframe
                    src="https://www.youtube.com/embed/Qh3bHWUYR00?rel=0" frameBorder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowFullScreen></iframe>
        </div>
    </section>

</div>