<?php

defined( 'ABSPATH' ) || exit();

class Radio_Player_Shortcode {

	/**
	 * @var null
	 */
	private static $instance = null;

	/**
	 * Radio_Player_Shortcode constructor.
	 */
	public function __construct() {
		add_shortcode( 'radio_player', array( $this, 'player' ) );
	}

	/**
	 * @param $atts
	 *
	 * @return false|string
	 * @since 1.0.0
	 */
	public function player( $atts ) {

		$is_preview = isset( $_GET['preview'] );

		$atts = shortcode_atts( array(
			'id'          => '',
			'player_type' => 'shortcode',
		), $atts );

		$id     = intval($atts['id']);

		$player = radio_player_get_player( $id );

		if ( empty( $player['status'] ) && ! $is_preview ) {
			return;
		}

		$player_type = $atts['player_type'];

		$config       = $player['config'];
		$config['id'] = $id;

		$stations = $config['stations'];

		if ( ! empty( $stations ) ) {
			foreach ( $stations as $key => $station ) {

				$station = (array) $station;

				$stream = $station['stream'];

				$stations[ $key ]['stream'] = apply_filters( 'radio_player/stream_url', $stream );
			}

			$config['stations'] = $stations;

		}
        

		// Enqueue frontend scripts
		Radio_Player_Enqueue::instance()->frontend_scripts();

		ob_start(); ?>

        <div class="radio_player" data-playerType="<?php echo $player_type; ?>">
            <script type="application/json" class="radio-player-data"><?php echo json_encode( $config ); ?></script>
        </div>
		<?php

		return ob_get_clean();
	}

	/**
	 * @return Radio_Player_Shortcode|null
	 */
	public static function instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}
}

Radio_Player_Shortcode::instance();